Package org.gradle.nativeplatform

## Interface SharedLibraryBinarySpec.TasksCollection

- All Superinterfaces:
    `BinaryTasksCollection`, `Collection<Task>`, `DomainObjectCollection<Task>`, `DomainObjectSet<Task>`, `Iterable<Task>`, `Set<Task>`
  Enclosing interface:
    SharedLibraryBinarySpec

      public static interface SharedLibraryBinarySpec.TasksCollection
      extends BinaryTasksCollection

  Provides access to key tasks used for building the binary.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Task` | `getLink()` | Returns the link task for this binary.

    - ### Methods inherited from interface org.gradle.platform.base.BinaryTasksCollection

      `create, getBuild, getCheck, taskName, taskName`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface org.gradle.api.DomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- - ### Method Detail

    - #### getLink

          Task getLink()

      Returns the link task for this binary.